Initiate Transfer
curl --request POST \
--url https://api.useglyde.co/v1/transfer/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"bank_code": "058",
"account_number": "0264341458",
"reference": "txn_abc123xyz"
}
'import requests
url = "https://api.useglyde.co/v1/transfer/initiate"
payload = {
"amount": 5000,
"bank_code": "058",
"account_number": "0264341458",
"reference": "txn_abc123xyz"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 5000,
bank_code: '058',
account_number: '0264341458',
reference: 'txn_abc123xyz'
})
};
fetch('https://api.useglyde.co/v1/transfer/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Transaction initiated successfully",
"data": {
"reference": "<string>",
"merchant_reference": "<string>",
"type": "<string>",
"amount": 123,
"status": "<string>",
"fee": 123,
"created_at": "<string>"
}
}Transfers
Initiate Transfer
Initiate a bank transfer to a recipient’s account.
POST
/
v1
/
transfer
/
initiate
Initiate Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I